1. Computer problem? Tech Support Guy is completely free -- paid for by advertisers and donations. Click here to join today! If you're new to Tech Support Guy, we highly recommend that you visit our Guide for New Members.

Prob w/ Halo for PC

Discussion in 'Games' started by Optimissed, Sep 11, 2004.

Thread Status:
Not open for further replies.
  1. Optimissed

    Optimissed Thread Starter

    Joined:
    Sep 10, 2004
    Messages:
    6
    I'm having a problem w/ Halo (for the PC). Every time I try to play, it gives me this message:
    "We are sorry, but you video hardware is below the minimum specs for this game. If you wish to update your computer, please contact your computer manufacturer for any necessary assistance."
    Yes, I know I got this because my graphics card isn't good enough....but it meets all the specs that Halo requires to operate; although my card's specs are exactly what it requires. I'll give you the req's for Halo, and then computer's specs.
    Halo's requirements (graphically): 32 MB/3D T&L capable
    What I have: 32 MB SiS 650 (0x6325)
    Do I need to change the resolution on my computer? I dunno. Also, what does this "3D T&L capable" thing mean? Anyways, I hope someone can help, cuz i dont wanna buck up $150 or more just to play this game. Thanks.
     
  2. Shinjaru

    Shinjaru

    Joined:
    Sep 11, 2004
    Messages:
    16
    The T&L Capable video card means it requires Transform and Lighting, which I'm not sure your video card has. If this is your first time playing Halo on PC, chances are your card doesn't support it. I believe all of the ATI cards from Radeon 7000+ support it, most are fairly cheap. You're in need of a video card upgrade anyways; you could buy a Radeon 9200 128 mb video card for ~$70-$80 at Best Buy. Hope that helps.
     
  3. Optimissed

    Optimissed Thread Starter

    Joined:
    Sep 10, 2004
    Messages:
    6
    Yes it did.....but i was afraid of that. Also, what is DDI? Apparently, after running DXDIAG, I found that my display driver does not support API, because my DDI version is too low. Thank you for your help though.
     
As Seen On
As Seen On...

Welcome to Tech Support Guy!

Are you looking for the solution to your computer problem? Join our site today to ask your question. This site is completely free -- paid for by advertisers and donations.

If you're not already familiar with forums, watch our Welcome Guide to get started.

Join over 733,556 other people just like you!

Loading...
Thread Status:
Not open for further replies.

Short URL to this thread: https://techguy.org/272853

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice